Name:    kyum
Version: 0.7.5
Release: 4%{?dist}

Summary: Graphical User Frontend (GUI) for yum

License: GPL
Group:   Applications/System
URL:     http://www.sourceforge.net/projects/kyum
Source:  http://dl.sourceforge.net/sourceforge/kyum/%{name}-%{version}.tar.gz
Source1: kyum.sh
Patch1:  kyum-0.6.3-workaround-missing-libfam.la.patch
Patch2:  kyum-0.7.5-su.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: yum >= 2.2.0
Requires: kdebase >= 6:3.3
Requires: python

BuildRequires: kdelibs-devel >= 6:3.3
BuildRequires: automake
BuildRequires: desktop-file-utils

%description
KYum is a graphical user frontend (GUI) for yum.
You can use it to modify your repository files and
to control the most common operations of yum.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

make -f Makefile.cvs
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mv $RPM_BUILD_ROOT/%{_bindir}/kyum $RPM_BUILD_ROOT/%{_bindir}/kyum.bin
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/kyum 

# mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities
desktop-file-install --delete-original \
  --vendor fedora              \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde  \
  --mode 0644                                    \
  --add-category X-Fedora                        \
  --add-category Application                     \
  --add-category SystemSetup                     \
  $RPM_BUILD_ROOT%{_datadir}/app*/*/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755,root,root) %{_bindir}/*
%dir %{_datadir}/apps/kyum
%{_datadir}/apps/kyum/*/*
%{_datadir}/apps/kyum/kyum_sysinfo.p*
%{_datadir}/apps/kyum/kyumui.rc
%{_datadir}/icons/*/*/apps/kyum.png
%{_datadir}/applications/kde/fedora-kyum.desktop
%lang(en) %doc %{_docdir}/HTML/en/kyum/*
%doc ChangeLog COPYING README AUTHORS

%changelog
* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.5-4
- Rebuilt for FC-6

* Mon Mar 06 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.5-3
- su wrapper for kyum #182986

* Sun Feb 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.5-2
- Rebuilt for FC5

* Mon Jul 25 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.5-1
- New upstream release

* Thu Jul 21 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.3-2
- Upstream author has moved the project to sourceforge.net

* Tue Jul 19 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.3-1
- New upstream release

* Thu Jul 14 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.2-3
- Patch DlgInfo.h to generate proper Makefiles (calling of moc)

* Wed Jul 13 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.2-2
- Patch for missing DlgInfo.moc

* Wed Jul 13 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.2-1
- Update to new upstream release

* Tue Jun 21 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-3
- Add precompiled python files into package

* Thu Jun 16 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-2
- Add libfam.la workaround becouse buildsys contains broken gamin

* Tue Jun 07 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-1
- Update to new upstream release

* Sun Jun 05 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-6
- Remove libfam.la workaround, becouse gamin package was fixed

* Thu Jun 02 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-5
- Add %%dir %%{_datadir}/kyum to the file section

* Thu Jun 02 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-4
- Add workaroud for missing libfam.la. Thanks to Michael Schwendt

* Sun May 22 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-3
- Add whole HTML-Dir as %%doc-dir
- remove unnecesary soruce tree

* Wed May 18 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-2
- Change %%description becouse kyum will called via kdesu
- Add kdebase and python as require
- Patch for move kyum_sysinfo.py to /usr/share/kyum
- Add ChangeLog, Copying and README to %%doc

* Tue May 17 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-1
- remove --prefix=/usr from %%configure
- change %%{buildroot) to $$RPM_BUILD_ROOT
- desktop file will not renamed

* Wed May 11 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.3-0
- Update to version 0.6.3

* Sun May  1 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.1-0
- Update to version 0.6.1

* Tue Apr 26 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.5.3-1
- Add URL to Source

* Mon Apr 25 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.5.3-1
- Initial Build for Fedora Extras.

* Sun Apr 17 2005 Steffen Offermann (steffen_ac@yahoo.com)

- release version 0.5.3
 - Fix: "Remove" operation was accidently disabled in the source.

 - Added support for the yum command "generate-rss" (although this
   yum command is probably rather useful in a nightly batch mode).

* Sat Apr 16 2005 Steffen Offermann (steffen_ac@yahoo.com)

- release version 0.5.2
 - When an old-format yum.conf, that contains repository definitions,
   is loaded, kyum offers to move them to a *.repo file (kyum.repo).

 - The "Import GPG Key" dialog now uses the value "gpgkey" from the
   repository definition, if present.

* Wed Apr 13 2005 Steffen Offermann (steffen_ac@yahoo.com)

- release version 0.5.1:
 - Added "Descriptions" checkbox to display download sizes and
   summarized descriptions in the package list. Works with all
   listing commands except "whatprovides".

 - Added info view to display detailed information about the focused
   package.

 - Replaced QFileDialog with KFileDialog.

 - Output window now uses monospaced font (Courier).

 - When an item is focused in the package list, all columns are selected.

* Sat Apr 09 2005 Roland Wolters <rolandwolters@web.de>

- release version 0.4.2:
  - Fix: Repos loaded from profiles where always put in kyum.repo instead
         of restoring the *.repo they were originally defined in.

* Sat Apr 09 2005 Steffen Offermann <steffen_ac@yahoo.com>

- release version 0.4.1:
  - Added profile support: Different sets of repository/yum.conf configurations
                            can be saved to and loaded from profiles.
  - Reordered tabs in main window.
  - Search dialog: Added option "Find and Install".
  - Added option "Import GPG Key" to the repository context menu.
  - Running actions can now be aborted.
  - Support for yum's "clean" command added.

* Thu Mar 31 2005 Steffen Offermann <steffen_ac@yahoo.com>

- release version 0.3.1:
  - Fix: Repository Dialog: The value of "Check GPG" was set to the
         value of "enabled" when the dialog was started.
  - Fix: Error messages from yum were not displayed - and they "swallowed"
         pending stdout messages, too.
  - Fix: Changes to repository entries were not correctly updated in the
         repository list view.
  - Fix: Repository Dialog: "OK"-button will only be enabled, if the repository
         tag, the name and at least one of (1) base URL or (2) mirror list are
         not empty.
  - Coloured output messages.
  - Changed layout of "Actions" page: Moved "Select all" and "Deselect all"-button
    below the list view.
  - The file yum.conf will be saved automatically when the respective page is left.
  - If no yum.conf exists, a new one will be created using default values.
  - Search dialog: Focus will be set to the text field.
  - Search dialog: The yum command "whatprovides" is now supported.
  - Repositories view: Added context menu. Repositories can now be deleted.

* Fri Mar 25 2005 Roland Wolters <rolandwolters@web.de>

- release version 0.2.1:
  - The yum main configuration file yum.conf can now be edited, too.
  - Fix: rpm-spec fixed some bugs

* Thu Mar 24 2005 Roland Wolters <rolandwolters@web.de>

- initial rpm release
